package com.b510.excel.writer;

import java.io.File;
import java.io.FileWriter;
import java.io.StringWriter;
import java.util.List;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.VelocityEngine;

import com.b510.excel.common.Common;
import com.b510.excel.vo.Student;

public class WriteHtml {

	private static String createCode(String fileVMPath, List<Student> students) throws Exception {
		VelocityEngine velocityEngine = new VelocityEngine();
		velocityEngine.setProperty("input.encoding", "UTF-8");
		velocityEngine.setProperty("output.encoding", "UTF-8");
		velocityEngine.init();
		Template template = velocityEngine.getTemplate(fileVMPath);
		VelocityContext velocityContext = new VelocityContext();
		velocityContext.put("students", students);
		StringWriter stringWriter = new StringWriter();
		template.merge(velocityContext, stringWriter);
		return stringWriter.toString();
	}

	public static void write(List<Student> students) throws Exception {
		System.out.println("write begin");
		File file = new File(Common.TEST_HTML_FILE);
		FileWriter fw = new FileWriter(file);
		fw.write(createCode("./src/main/java/com/b510/excel/vm/student.vm", students));
		fw.flush();
		fw.close();
		System.out.println("write end. Refresh the project before seeing the excel2html/" + Common.HTML_FILE);
	}
}
